Upload a file

Queues a localization file for import and returns a 202 or 302 response along with a Queued process object. Learn more. Requires Upload files admin right. Supported file types.

Please note that the 302 response code is not currently used, but in the future it will be returned if the same file is already in the upload queue.

Requires write_files OAuth access scope.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

A unique project identifier

string
required

Branch name

Body Params
string
required

Base64 encoded file. Must be one of the supported file types.

string
required

Set the filename. You may optionally use a relative path in the filename (e.g admin/main.json), however keep in mind that path would become a unique part of the file. Maximum 256 bytes.

string
required

Language code of the translations in the file you are importing. Must be a language of the project, except for XLIFF files uploaded to Documents projects: there, a user who can manage languages may use any Lokalise language, which is added to the project on import.

boolean
Defaults to true

Enable to automatically convert placeholders to the Lokalise universal placeholders. Defaults to true; if omitted, placeholders in the uploaded content are converted automatically. Set it to false to preserve the original placeholder syntax.

boolean
Defaults to false

Enable to automatically detect and parse ICU formatted plurals in your translations.

tags
array of strings

Tag keys with the specified tags. By default tags are applied to created and updated keys.

tags
boolean
Defaults to true

Add specified tags to inserted keys. Has no effect if tags is empty.

boolean
Defaults to true

Add specified tags to updated keys. Has no effect if tags is empty.

boolean
Defaults to false

Add specified tags to skipped keys. Has no effect if tags is empty.

boolean
Defaults to false

Add tags parsed from the uploaded file (e.g. Structured JSON per-key tags) to the corresponding keys.

boolean
Defaults to false

Enable to replace translations, that have been modified (in the file being uploaded).

boolean
Defaults to false

Structured JSON only. Enable to replace key metadata (tags, notes, character limit) with the values from the uploaded file. Tags added manually (via the editor, bulk actions, tasks or connectors) are preserved; only tags previously set by a file upload are replaced. Defaults to false.

boolean
Defaults to true

Enable to replace \n with a line break.

boolean
Defaults to false

Enable to automatically replace values with key names.

boolean
Defaults to false

Enable to allow keys with similar names to coexist, in case they are assigned to different filenames.

boolean
Defaults to false

Enable to automatically apply 100% translation memory matches. This option will take priority over use_automations if set to true.

boolean
Defaults to true

Whether to run automations for this upload.

boolean
Defaults to false

Enable to automatically set newly created keys as "Hidden from contributors".

boolean
Defaults to false

Enable to delete all keys with all language translations that are not present in the uploaded file. You may want to make a snapshot of the project before importing new file, just in case. By default, no keys are deleted.

custom_translation_status_ids
array of strings

Custom translation status IDs to be added to translations. By default statuses are applied to created and updated translations.

custom_translation_status_ids
boolean
Defaults to true

Add specified custom translation statuses to inserted keys. Has no effect if custom_translation_status_ids is empty.

boolean
Defaults to true

Add specified custom translation statuses to updated keys. Has no effect if custom_translation_status_ids is empty.

boolean
Defaults to false

Add specified custom translation statuses to skipped keys. Has no effect if custom_translation_status_ids is empty.

boolean
Defaults to false

Skip automatic language detection by filename.

string

File format (e.g. json, strings, xml). Must be file extension of any of the file formats we support. If omitted, the format is detected from the extension of filename.

number

Apply import results as a part of a task. Available only for offline_xliff file format.

string
length ≤ 256

Set a human-readable title for the uploaded file, displayed in the UI instead of the filename. Maximum 256 characters. Relevant for Marketing and support (M&S) project types only.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json